/*
 * Copyright (c)2012-2017 JingTong RDC(Research and Development Centre), Inc. All rights reserved.
 *
 * NOTICE: All information contained herein is, and remains the property of JingTong RDC ,
 *         if any. The intellectual and technical concepts contained herein are proprietary
 *         to JingTong RDC and covered by China and Foreign Patents, patents in process,
 *         and are protected by trade secret or copyright law. Dissemination of this information
 *         or reproduction of this material is strictly forbidden unless prior written permission
 *         is obtained from JingTong RDC.
 */

package com.jingtong.bpm.logic.constant;

/**
 * <p> 审批单按钮权限 常量 </p>
 *
 * @author sog
 * @version 1.0
 * @since JDK 1.7
 */
public interface BillBtnConst {

    /**
     * 提交
     */
    String BTN_SUBMIT = "btn-submit";
    /**
     * 保存
     */
    String BTN_SAVE = "btn-save";
    /**
     * 明细导入
     */
    String BTN_DETAIL_IMPORT = "btn-detail-import";
    /**
     * 审批通过
     */
    String BTN_AGREE = "btn-agree";
    /**
     * 审批拒绝
     */
    String BTN_REFUSE = "btn-refuse";
    /**
     * 打印单据
     */
    String BTN_PRINT = "btn-print";
    /**
     * 归档流程
     */
    String BTN_ARCHIVED = "btn-archived";
    /**
     * 流程直接提交
     */
    String BTN_PRESENT = "btn-present";
    /**
     * 移交
     */
    String BTN_TRANSFER = "btn-transfer";
    /**
     * 结束流程
     */
    String BTN_END = "btn-end";
    /**
     * 删除
     */
    String BTN_DELETED = "btn-deleted";
    /**
     * 加签
     */
    String BTN_ENDORSE = "btn-endorse";
    /**
     * 打回回
     */
    String BTN_BACK = "btn-back";
    /**
     * 挂起
     */
    String BTN_HANG = "btn-hang";
    /**
     * 跳转
     */
    String BTN_JUMP = "btn-jump";
    /**
     * 撤回
     */
    String BTN_RECALL = "btn-recall";
    /**
     * 撤销
     */
    String BTN_CANCEL = "btn-cancel";
    /**
     * 轨迹
     */
    String BTN_TRACK = "btn-track";
}
